<?php
namespace Bushelpowered\Api\Aggregator\Statement\V1\Request;
        
class GetAllStatementListRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var string[]|null $accountIds */
    public ?array $accountIds = null;
    /** @var null|string $sourceDueDateStart of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $sourceDueDateStart = null;
    /** @var null|string $sourceDueDateEnd of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $sourceDueDateEnd = null;
    /** @var null|string $sourceIssueDateStart of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $sourceIssueDateStart = null;
    /** @var null|string $sourceIssueDateEnd of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $sourceIssueDateEnd = null;
    public ?\Bushelpowered\Api\Statement\V1\Request\StatementPagination $pagination = null;

    /**
     * @param  string[]|null  $accountIds 
     * @param  null|string  $sourceDueDateStart of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $sourceDueDateEnd of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $sourceIssueDateStart of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $sourceIssueDateEnd of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(?array $accountIds, ?string $sourceDueDateStart, ?string $sourceDueDateEnd, ?string $sourceIssueDateStart, ?string $sourceIssueDateEnd, ?\Bushelpowered\Api\Statement\V1\Request\StatementPagination $pagination)
    {
        $this->accountIds = $accountIds;
        $this->sourceDueDateStart = $sourceDueDateStart;
        $this->sourceDueDateEnd = $sourceDueDateEnd;
        $this->sourceIssueDateStart = $sourceIssueDateStart;
        $this->sourceIssueDateEnd = $sourceIssueDateEnd;
        $this->pagination = $pagination;
    }
    
    public function getPagination(): ?\Bushelpowered\Api\Statement\V1\Request\StatementPagination
    {
        return $this->pagination;
    }
}